ValueHolder (Groovy 5.0.6)

Package: groovy.swing.model

## [Java] Class ValueHolder

- groovy.swing.model.ValueHolder

- All Implemented Interfaces and Traits:
    ValueModel

      public class ValueHolder
      extends Object
      implements ValueModel

  A simple ValueModel implementation which is a holder of an object value. Used to share local variables with closures

- - ### Constructor Summary

    Constructors
    Constructor and description
    `ValueHolder()`
    `ValueHolder(Class type)`
    `ValueHolder(Object value)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public void` | `addPropertyChangeListener(PropertyChangeListener listener)` Add a PropertyChangeListener to the listener list.
    `` | `public Class` | `getType()`
    `` | `public Object` | `getValue()`
    `` | `public boolean` | `isEditable()`
    `` | `public void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a PropertyChangeListener from the listener list.
    `` | `public void` | `setEditable(boolean editable)`
    `` | `public void` | `setValue(Object value)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### public ValueHolder()

    - #### public ValueHolder(Class type)

    - #### public ValueHolder(Object value)

  - ### Method Detail

    - #### public void addPropertyChangeListener(PropertyChangeListener listener)

      Add a PropertyChangeListener to the listener list.

      Parameters:
        `listener` - The listener to add.

    - #### @Override
      public Class getType()

    - #### @Override
      public Object getValue()

    - #### @Override
      public boolean isEditable()

    - #### public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a PropertyChangeListener from the listener list.

      Parameters:
        `listener` - The listener to remove.

    - #### public void setEditable(boolean editable)

    - #### @Override
      public void setValue(Object value)